@import "../global/var";
@import "../global/var-pages";

body {
    background: $main_container_bg-new;
    min-width: 320px;

    &.menu-toggled {
        overflow: hidden !important;
    }
}

.pending-progress-bar {
    position: fixed;
    z-index: 10002;
    top: 0;
    left: 0;
    width: 100%;
    .md-container {
        height: 3px;
    }
}

#vnc {
    margin: 0 auto;
    div {
        background-color: inherit !important;
        canvas {
            cursor: crosshair !important;
        }
    }
    .video-control {
        position: absolute;
        bottom: 15px;
        right: 15px;
        color: $white;
        cursor: pointer;
    }
}

.video-container {
    margin: auto;
    height: 50%;
    video {
        margin: 0 auto;
    }
}

#main-fab md-fab-trigger button {
    animation: slide 400ms ease;
}

@keyframes slide {
    from {opacity: 0}
    to {opacity: 1}
}

md-fab-speed-dial.md-fab-bottom-right,
#main-fab,
.lonely-fab button {
    position: fixed;
    z-index: 6;
    right: 60px;
    bottom: 60px;
    @media (max-width: $breakpoint-mobile) {
        &.tests-runs-options {
            bottom: 130px;
        }
    }
}
md-fab-speed-dial.md-fab-bottom-right + md-fab-speed-dial.md-fab-bottom-right {
    bottom: 130px;
}

.result {
  border-left: 8px solid #777777 !important;
  height: 55px;
}

.result.PASSED {
  border-left-color: #8BC34A !important;
}

.result.FAILED {
  border-left-color: #F44336 !important;
}

.result.IN_PROGRESS {
  border-left-color: #00BCD4 !important;
}

.test_logs {
    padding: 8px;
    margin: 5px 0;
    background: $white;
}

#logs .log_message {
    display: inline-block;
    /*width: 100%;
    width: -moz-available;
    width: -webkit-fill-available;
    width: fill-available;*/
    word-wrap: break-word;
    width: 100%;
}

.result_error {
    padding: 8px;
    margin: 5px 0;
}

.result_error.FAILED {
    background: #ffb3b3;
}

.result_error.FAILED.dark {
    background: #bd6f6f;
}

.result_error.ABORTED {
    background: #d6d6d6;
}

.result_error.SKIPPED {
    background: #ffe680;
}

.result_error.SKIPPED.dark {
    background: #b9a969;
}

.searchable {
  margin-bottom: 0px !important;
  font-size: 12px !important;
}

md-input-container.searchable.select {
    margin-top: 0px;
    margin-left: 8px;
    padding-top: 0px;
    margin-bottom: 0;
}

md-input-container.searchable.select {
    width: 144px;
}

.md-datepicker-input {
  font-size: 12px !important;
}

.text-center {
  text-align: center !important;
}

.sql-widget-width {
    min-width: 900px;
    max-width: fit-content;
}

md-chip:not(:hover) .show-icon-on-hover,
.show-on-hover:not(:hover) .show-icon-on-hover {
    display: none !important;
}

.hide-phone {
    @media (max-width: $md-screen-phone) {
        display: none !important;
    }
}

.hide-tablet {
    @media (max-width: $screen-tablet-2) {
        display: none !important;
    }
}

.show-phone {
    @media (min-width: $md-screen-phone + 1px) {
        display: none !important;
    }
}

.grid-stack-item {
    &:not(:hover) {
        .widget-icon {
            @media (min-width: $screen-tablet-2 + 1) {
                display: none;
            }
        }
    }
    md-menu.widget-icon {

        position: absolute;
        top: 8px;
        right: 5px;
        border: none;
        font-size: 24px;
        z-index: 1;

        @media (max-width: $screen-tablet-2) {
            display: inline;
        }
    }
}

.expand-button {
    position: relative;
    z-index: 1;
    left: -2px;
    top: -2px;
    min-height: 12px !important;
    height: 16px !important;
    width: 12px !important;
    font-size: 12px;
    line-height: 12px !important;
    vertical-align: bottom !important;
}

/*tr.result .expand-button {
  opacity: 0;
}

tr.result:hover .expand-button {
  opacity: 1;
}*/

.grid-stack-item {
    .panel-default {
        border: 0;
        > .panel-heading {
            z-index: 1;
            //position: relative;
            background-color: inherit !important;
            border-bottom-color: white !important;
            font-weight: 500;
            border: 0;
            overflow: hidden;
            // default container height - chart height - chart paddings
            max-height: calc(420px - 320px - 15px * 2);
            letter-spacing: 0.1px;
            padding: 16px 50px 16px 23px;
            text-overflow: ellipsis;
            white-space: nowrap;

            @media(max-width: $screen-phone) {
                padding-right: 20px;
            }
        }
    }
}

.tests-loading-spinner {
    margin: 3px auto;
}

.fixed-search-column {
    min-width: 360px;
    min-height: 52px;
    padding: 8px 20px;
    width: auto;

    @media (max-width: $screen-phone) {
        min-width: 0;
    }
}

.fixed-testrun-name-header {
    min-width: 385px;
}

.expand-icon {
    color: rgba(0,0,0,0.4);
}

.comments-area {
    color: #00BCD4
}

.startedat-column {
    padding-right: 0px !important;
    min-width: 90px;
}

.fixed-testcount-column {
    min-width: 260px;
}

.fixed-md-menu-content {
    max-height: 600px;
}

.artifact-button {
    display: flex !important;
}

.close-expand-icon {
    margin-top: 0 !important;
}
.body-auth,
.body-err {
    &.app > .main-container:before {
        background: none;
    }

    // when it's normal nav
    @media (min-width: $screen-sm) {
        .page-message {
            margin-right: 220px;
        }
    }
    // when it's collapsed nav
    &.nav-collapsed-min {
        @media (min-width: $screen-sm) {
            .page-message {
                margin-right: 60px;
            }
        }
    }
}

// fullscreen, hide header and sidebar
.app.body-wide {

    #header,
    #nav-container {
        display: none;
    }

    > .main-container {
        width: 100%;
        max-width: 100%;
        margin: 0;
        padding: 0;

        .content-container {
            z-index: 2;
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            // bottom: 0;
            // margin: 0;
            padding: 0 15px;
        }
    }

    //
    &.on-canvas .main-container .content-container{
        margin-left: 0;
        margin-right: 0;
    }
    &.body-err {
        > .main-container {
            .content-container {
                padding: 0;
            }
        }
    }

}

.btn-circle {
    width: 30px;
    height: 30px;
    border-radius: 15px;
}

button.red {
    color: #d9534f;
    border-color: #d9534f;
    background: $white;
    outline: none;
}

.scrollable {
    overflow-y: scroll;
    height: 500px;
    border: 1px solid #cccccc
}

.md-dialog-container ~ .md-select-menu-container.md-active,
.md-dialog-container ~ .md-virtual-repeat-container.md-autocomplete-suggestions-container {
    z-index: 10000;
}

.platform-icon {
    display: inline-block;
    vertical-align: middle;
    width: 20px;
    height: 20px;
    background-position: center center;
    background-repeat: no-repeat;

    &.api {
        background-image: url(../assets/images/_icons_platform/api.svg);
    }
    &.safari {
        background-image: url(../assets/images/_icons_platform/safari.svg);
    }
    &.safari-mobile,
    &.iphone-mobile,
    &.ipad-mobile {
        background-image: url(../assets/images/_icons_platform/safari_mobile.svg);
    }
    &.chrome {
        background-image: url(../assets/images/_icons_platform/chrome.svg);
    }

    &.chrome-mobile,
    &.android-mobile {
        background-image: url(../assets/images/_icons_platform/chrome_mobile.svg);
    }
    &.firefox {
        background-image: url(../assets/images/_icons_platform/firefox.svg);
    }
    &.firefox-mobile {
        background-image: url(../assets/images/_icons_platform/firefox_mobile.svg);
    }
    &.electron {
        background-image: url(../assets/images/_icons_platform/electron.svg);
    }
    &.microsoftedge,
    &.edge,
    &.msedge {
        background-image: url(../assets/images/_icons_platform/edge.svg);
    }
    &.xbox {
        background-image: url(../assets/images/_icons_platform/xbox.svg);
    }
    &.ps,
    &.playstation {
        background-image: url(../assets/images/_icons_platform/ps.svg);
    }
    &.tvos,
    &.appletv {
        background-image: url(../assets/images/_icons_platform/apple-tv.svg);
    }
    &.androidtv {
        background-image: url(../assets/images/_icons_platform/android-tv.svg);
    }
    &.iexplorer,
    &.explorer,
    &.ie {
        background-image: url(../assets/images/_icons_platform/ie.svg);
    }
    &.android {
        background-image: url(../assets/images/_icons_platform/android.svg);
    }
    &.ios {
        background-image: url(../assets/images/_icons_platform/apple.svg);
    }
    &.unknown {
        background-image: url(../assets/images/_icons_platform/nd.svg);
    }
    &.tizen {
        background-image: url(../assets/images/_icons_platform/tizensss.svg);
    }
    &.opera,
    &.operablink {
        background-image: url(../assets/images/_icons_platform/opera.svg);
    }
    &.macos {
        background-image: url(../assets/images/_icons_platform/macos.svg);
    }
    &.windows {
        background-image: url(../assets/images/_icons_platform/windows.svg);
    }
    &.linux {
        background-image: url(../assets/images/_icons_platform/linux.svg);
    }
    &.roku {
        background-image: url(../assets/images/_icons_platform/roku.svg);
    }
    &.stbCanal {
        background-image: url(../assets/images/_icons_platform/stbcanal.svg);
    }
    &.broadcom {
        background-image: url(../assets/images/_icons_platform/broadcom.svg);
    }
}

.jira-icon {
    background: url(../assets/images/jira.png) no-repeat;
}

.slack-icon {
    background: url(../assets/images/slack.png) no-repeat;
}

.label-success-border {
	border: 1px solid #5cb85c;
}

.label-success-empty {
	color: #5cb85c;
}

.label-danger-border {
	border: 1px solid #d9534f;
}

.label-danger-empty {
	color: #d9534f;
}

.label-warning-border {
	border: 1px solid #f0ad4e;
}

.label-warning-empty {
	color: #f0ad4e;
}

.label-info-border {
	border: 1px solid #00BCD4;
}

.label-info-empty {
	color: #00BCD4;
}

.label-aborted-border {
    border: 1px solid #AAAAAA;
}

.label-aborted-empty {
    color: #AAAAAA;
}

.label-aborted-bg {
    background-color: #AAAAAA;
}

.aborted-test-bg {
    background-color: #eaeaea;
}

.label-default-border {
    border: 1px solid #afafaf;
}

.label-default-empty {
    color: #afafaf;
}

span.light_text, div.light_text {
	color: #aaa !important;
}

.graph-box {
	height: 350px;
	padding-bottom: 35px;
}

.pie-chart {
	height: 320px;
	width: 320px;
}

.light-grey-bg {
  background: #f9f9f9;
}

.highlight_green {
  color: $green-new !important;
}

.highlight_red {
  color: $red-for-highlight !important;
}

.highlight_black {
    color: $dark-new !important;
  }

#dashboard_content {
    padding-bottom: 0;
}

.widget-block {
    padding-top: 0;
}

.dialog-bottom-alert {
    min-height: 40px;
    animation-name: bottomAlertAnimation;
    animation-duration: 1s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

@keyframes bottomAlertAnimation {
    from {opacity: 0}
    to {opacity: 1}
}
@-webkit-keyframes bottomAlertAnimation {
    from {opacity: 0}
    to {opacity: 1}
}

.dialog-bottom-alert.dialog-success-alert {
    background-color: #d9ffcf;
}

.dialog-bottom-alert.dialog-error-alert {
    background-color: #dbc9c2;
}

.highlight_gray {
    color: lightgrey !important;
}

.grey_font {
    color: #afafaf !important;
}

.black_font {
    color: rgba(0,0,0,0.87) !important;
}

/*Page backgrounds*/
.bg-page-light-grey > div.page {
    background-color: #E3E3E3 !important;
}

.bg-page-grey > div.page {
    background-color: #EFEDF0 !important;
}

/*Sections color*/
section.zaf-dark .section-header,
section.zaf-dark .article-title {
    color: $brand-primary;
    margin: 8px 0;
}

section.zaf-light .section-header,
section.zaf-light .article-title {
    color: $brand-primary;
    margin: 10px 0;
}

.section-header {
  padding-left: 20px;
  white-space: nowrap;
}

.title-container{
  position: relative;
  top: 0;
  left: 0;
}

/*Element backgrounds*/
.background-white {
    background-color: #f6f6f6 !important;
}

.background-clear-white {
    background-color: #fff !important;
}

.background-green {
    background-color: $brand-light !important;
}

.background-darkgreen {
    background-color: #007f7b !important;
}

.background-gray {
    background-color: rgba($black, 0.05) !important;
}

.teal-dark {
    background-color: #00695C !important;
}

.gray-container, #app.dark-container md-menu-content {
    background-color: #d4d5d6 !important;
}

#app.dark-container, .dark-container>div.page {
    background-color: #282d35 !important;
}
#app.dark-container .search-filter-body {
    md-select, #searchCalendar {
        background-color: white;
    }
}

.info.dark {
    background-color: #4e7388;
}

tr.dark > td {
    background-color: inherit !important;
}

.success.dark {
    background-color: #4d735f;
}

.danger.dark {
    background-color: #904944;
}

.warning.dark {
    background-color: #a77942;
}

.progress-circular_align {
    top: 40%;
}

.browser-version_column {
    width: 120px;
}

body md-select-menu, body md-content{
    max-height: 672px;
}

.zoom_img img:hover{
	-moz-transform:scale(2);
	-webkit-transform:scale(2);
	-o-transform:scale(2);
}

.white-space-pre-line {
    white-space: pre-line;
}

.jira-status {
    text-transform: uppercase;
    margin-bottom: 0;
}

.rebuild-modal-row {
    padding: 8px 0;
}

.no-top-padding {
    padding-top: 0 !important;
}

.no-horiz-padding {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.modal-header-font {
    font-size: 20px;
}

.modal-header-font-toolbar {
    font-size: 22px !important;
}

.comment-modal-textarea-padding {
    padding: 15px;
}

.material-icons.material-icon-16px {
    font-size: 16px;
}

pre.code {
    border: 0 !important;
    background-color: white !important;
    padding: 0 !important;
}

pre.code:after{
    content:"";
    display:table;
    clear:both
}

.large-card-content {
    min-height: 500px;
}

div.code {
    white-space: pre-line;
}

#httpMethods md-radio-button .md-label {
    margin-left: 8px !important;
    padding-right: 40px;
}

#httpMethods md-radio-button {
    margin-top: 20px;
    margin-bottom: 20px;
}

div.switch-view div.card.bg-white {
    animation-name: switchView;
    animation-duration: 0.5s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
}

@keyframes switchView {
    /*from { height: 0; }
    to { height: 800px; }*/
    from {top: -1000px}
    to {top: 0}
}
@-webkit-keyframes switchView {
    /*from { height: 0; }
    to { height: 800px; }*/
    from {top: -1000px}
    to {top: 0}
}


body.fixed-menu div.md-open-menu-container {
    position: fixed !important;
}

.text-capitalize {
    text-transform: lowercase;
}
.text-capitalize:first-letter {
    text-transform: capitalize !important;
}

.perm-block-label {
    background-color: #e6e6e6;
    border-radius: 10px;
    margin-bottom: 20px !important;
}
.checkbox-clear-inline md-checkbox.main-checkbox {
    margin-bottom: 0 !important;
    padding: 0 !important;
}

.checkbox-clear-inline md-checkbox {
    width: 0;
    margin-right: 10px;
}

md-checkbox.main-checkbox div.md-icon {
    border-color: #009688 !important;
}

.black-header {
    color: black;
    text-transform: capitalize;
}

/* Drop zone */
input[type="file"].content-input{
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    width: 100%;
    height: 100%;
    opacity: 0;
    cursor: pointer;
}

input[type="file"].content-input.not-empty{
    z-index: -1;
}

.profile-container {
    height: 100%;
    div {
        height: 100%;
    }
    &_container {
        padding: 0;
        margin: 0;
        display: block;
        position: relative;
        min-width: 616px;
        max-width: 75vw;
        @media (max-width: $screen-tablet-2) {
            width: 100%;
            max-width: 100%;
            min-width: 100%;
        }
        border: 1px solid #AEB8BE !important;
        border-radius: 4px;
        background-color: #DFE3E5;
        transition: opacity  0.1s linear;
        border-top: 0;

        img-crop {
            position: absolute;
            top: 0;
            left: 0;
        }
    }

    .bottom-block {
        display: block;
        position: relative;
        width: 100%;

        @media (max-width: $screen-phone) {
            display: table;
        }

        .upload-zone-label {
            width: 100%;
            height: auto;
            position: absolute;
            top: 50%;
            left: 0;
            display: block;
            text-align: center;
            vertical-align: middle;
            line-height: 18px;
            font-size: 14px;
            color: #AEB8BE !important;
        }

    }
}

.fullscreen-tablet-dialog {
    height: inherit;
    @media (max-width: $screen-tablet-2) {
        height: 100%;
        width: 100%;
        max-height: none;
        max-width: none;
    }

    > form, md-dialog-content, .md-dialog-content {
        height: 100%;
    }
}

ul.profile-image-actions {
    position: absolute !important;
    top: 0;
    left: 20px;
}

.profile-personal-info {
    font-size: 16px;
    font-weight: normal;
    color: $dark-new;
    display: flex;
    flex-wrap: wrap;
}

/* Profile photo mask logic */
.profile-img-content {
    display: none;
    height: 100%;
    line-height: 26px;
    text-align: center;
    font-size: 26px;
    color: $white;

    span {
        cursor: pointer;
    }
}

.profile-img {
    position: relative;
}

@media(min-width: $screen-phone) {
    .profile-img:hover .profile-hovered.profile-hovered-full {
        opacity: 0 !important;
    }

    .profile-img:hover .profile-hovered {
        -webkit-transition: opacity 50ms linear;
        -moz-transition: opacity 50ms ease-in-out;
        -ms-transition: opacity 50ms ease-in-out;
        -o-transition: opacity 50ms ease-in-out;
        opacity: 0.5;
    }
}

.profile-img:hover .profile-img-content {
    display: block;
    opacity: 1;
}

.profile-img:hover .profile-img-content-wrapper {
    position: absolute;
    top: 0;
    left: 0;
}

/*Chips*/
.photo-chip md-chip {
    padding-left: 0;
    height: 40px;
    border-radius: 20px;
}

.photo-chip md-chip md-icon {
    margin-top: 10%;
}

.grey-icon i {
    color: lightgrey !important;
}


/*Compare table*/
.compare-table {
    table-layout: fixed;
    .no-content {
        text-align: center;
        color: #F44336;
    }
    th {
        padding-left: 56px !important;
        width: 400px;
    }
    th.crossed {
        background-image: linear-gradient(to bottom left,  transparent calc(50% - 1px), rgb(221, 221, 221), transparent calc(50% + 1px));
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
    td {
        border-left-width: 4px !important;
        word-wrap: break-word;
        .outside-row-element {
            position: absolute;
            left: -12px;
        }
    }
    td.md-cell {
        vertical-align: top !important;
    }
    md-checkbox .md-label {
        width: 100px;
    }

    &__device,
    &__time {
        display: flex;
        align-items: center;
        &-icon {
            font-size: 14px;
            margin-right: 4px;
        }
        &-value {
            line-height: 20px;
        }
    }
}

.imageRotateHorizontal{
    -moz-animation: spinHorizontal 1.8s infinite linear;
    -o-animation: spinHorizontal 1.8s infinite linear;
    -webkit-animation: spinHorizontal 1.8s infinite linear;
    animation: spinHorizontal 1.8s infinite linear;
}

@-moz-keyframes spinHorizontal {
    0% {
        -moz-transform: rotateY(0deg);
    }

    100% {
        -moz-transform: rotateY(360deg);
    }
}

@keyframes spinHorizontal {
    0% {
        transform: rotateY(0deg);
    }
    100% {
        transform: rotateY(360deg);
    }
}


@-ms-keyframes spinHorizontal {
    0% {
        -ms-transform: rotateY(0deg);
    }
    100% {
        -ms-transform: rotateY(360deg);
    }
}

@-o-keyframes spinHorizontal {
    0% {
        -o-transform: rotateY(0deg);
    }
    100% {
        -o-transform: rotateY(360deg);
    }
}

@-webkit-keyframes spinHorizontal {
    0% {
        -webkit-transform: rotateY(0deg);
    }
    100% {
        -webkit-transform: rotateY(360deg);
    }


}

/* Test details modal */

.test-details-dialog {
    min-height: 710px !important;
}

.label-font-size {
    font-size: 14px;
}

.icons-font-size {
    font-size: 12px;
}

.comments-font-size {
    font-size: 12px;
}

.table-frame {
    border: 1px rgba($black, 0.12) solid;
}

.auto-width {
    width: auto !important;
}

.tickets-font {
    font-weight: normal
}

.comments-table-header {
    margin-top: 2px;
}
.comments-table-body {
    border-top: none !important;
}

.issues-select-padding {
    padding-top: 15px;
    padding-bottom: 15px;
}
.issue-element-container {
    width: -webkit-fill-available !important;
}

.gray-label {
    color: rgba(0,0,0,0.54);
}

.element-with-label {
    float : left;
    clear: left;
}

.input-like-label {
    color: rgba(0,0,0,0.54);
    display: inline-block;
    margin-bottom: 5px;
    font-weight: bold;
    font-size: 11px;
}

.edit-label {
    color: rgba(0,0,0,0.54);
    font-weight: bold;
    font-size: 11px;
}
.tab-row {
    margin: 10px 0;
    padding: 10px 0;
}

.upper-tab-row {
    margin-bottom: 15px;
    padding-bottom: 15px;
}

.edit-elements {
    display: flex;
    justify-content: space-between;
}

.issue-trace-area {
    height: 100%;
    background: ghostwhite;
    margin: 0 15px;
}

.issue-trace-label {
    margin: 0 15px;
}

.ticket-list {
    &-row {
        margin: 13px 0;
    }
    &-text {
        white-space: normal;
        overflow-wrap: break-word;
        text-align: left;
    }
}

.ticket-list-button {
    width: 100%;
}

.align-middle {
    display: flex;
    align-items: center;
}

.align-right {
    justify-content: flex-end;
}

.scrollable-tab {
    max-height: 175px;
    overflow-y: auto;
}

.scrollable-comments {
    max-height: 270px;
    overflow-y: auto;
}

.test-name {
    font-weight: bold;
}

.outer-border {
    border: 1px solid #ddd;
}

.info-width {
    min-width: 200px;
}

.modal-min-width {
    min-width: 920px;
}

.no-margin-bottom {
    margin-bottom: 0;
}

.default-gray {
    background-color: $gray-light !important;
    color: $white;
}

.testrun_table_section{
  padding: 0 20px !important;
}

.fixed-search-column button {
    margin: 8px 0 8px 8px;
}

button#reset {
    color: #fff;
    background-color: $dark;

    &:hover {
        background-color: $coal;
    }
}

/*Filters*/
.tests-runs-filter,
.tests-runs-filter__editor {
  position: relative;

    md-radio-button {
        display: inline-block;
        padding-right: 10px;
    }
    .filter-criteria {
        padding-right: 0;
    }
    .filter-option {
        padding-left: 0;
        md-select {
            background-color: rgba($black, 0.12);
        }
    }
    .filter-value {
        padding-left: 0;
    }
    i.material-icons {
        color: rgba($black, 0.8);
    }
    md-chips-wrap {
        display: inline-block;
        box-shadow: none;
        padding: 0;
        .md-chip-input-container {
            display: none;
        }
        i.custom-chip-action {
            color: rgb(97,97,97) !important;
            font-size: 18px !important;
        }
        md-chip {
            margin-top: 0;
            //margin-bottom: 8px;
        }
    }
    .right-switch {
        position: absolute;
        right: 0;
        padding-right: 20px;
        padding-top: 15px;
    }
    md-date-range {
        position: absolute;
        z-index: 1;
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        .md-select-value {
            border-bottom-style: none;
            min-width: 36px !important;
            width: 100%;
            height: 100%;
        }
        .md-select-icon {
            display: none;
        }
    }
    i.date-picker-icon {
        font-size: 17px;
        position: absolute;
        top: 9px;
        right: 5px;
    }
    span.label {
        //font-size: 100%;
    }
}

#filter .panel-body{
  padding-bottom: 8px !important;
}

#filter {
    md-chips-wrap {
        md-chip {
            cursor: pointer;
        }

    i.custom-chip-action{
      color: #fff !important;
      font-size: 16px !important;
      padding-right: 0;
      padding-left: 6px;
    }
  }
}

.filter-chip {
    button {
        border-radius: 50%;
        height: 31px;
        width: 31px;
        position: relative;
        i {
            position: absolute;
            bottom: 40%;
            right: 40%;
            margin: auto;
            height: 50%;
            width: 50%;
        }
    }
    md-chip {
        margin-left: 8px;
        margin-right: 0;
        font-size: 13.5px;

        &:hover{
          .filter-slice-chip-button {
              background-color: #fff;
              md-icon {
                color: $gray-light;
              }
          }
        }
        span {
            text-transform: capitalize;
            line-height: 2.3;
            font-weight: 500;
        }
        .filter-slice-chip-button:not(.md-chip-remove) {
            background-color: $gray-light;
            border: 0;
            width: 16px;
            height: 16px;
            top: 6px;
            right: 6px;
            font-size: 16px;
            md-icon {
                position: absolute;
                top: 1px;
                left: -4px;
                font-size: 14px;
                color: $white;
            }
        }
    }
}

.manage-filter-button {
    float: right;
    padding: 10px;
    i {
        color: #009688;
    }
}

.filter-option .md-text, .filter-input-container md-select-value .md-text {
    text-transform: capitalize;
}

md-chip md-chip-template.bg-primary {
    background-color: $brand-primary;
}

.nav .material-icons {
    //font-size: 18px;
}

.menu-btn {
    width: 100%;
}

.page md-card{
    margin-top: 0;
    margin-bottom: 0;
}

.search-filter-body{
  width: 100%;

    & md-card, & form{
    width: 100%;
    }
    & .panel-body{
      padding: 16px;
      width: inherit;

      & h5{
        height: 100%;
        vertical-align: middle;
        margin-top: 0;
        margin-bottom: 16px;
      }
    }
}

#filter-editor {
    background-color: $fog-gray;
    min-height: 120px;
    &.ng-hide{
      opacity: 0;
    }
    &.ng-hide-remove{
      -webkit-transition: all .5s ease-in-out;
      transition: all .5s ease-in-out;
    }

    .panel-body{
      padding-bottom: 10px;
    }

    & div > div{
      float: left;
    }

    & .filter-name {
        width: 344px;
        margin-right: 8px;
    }

    & .filter-select{
      max-width: 548px;
      margin-right: 16px;
    }

    .filter-text {
        vertical-align: top;
        padding-bottom: 16px;
        md-switch {
            padding-left: 9px;
            margin: 0;
        }
    }

    & .value-input {
        width: 144px;
        position: relative;
        margin: 0 12px 12px 0;

        & div, & md-select {
            width: 100%;
        }
    }

    .value-input-wrapper {
        width: 144px;
        position: relative;
        margin: 0 12px 12px 0;
        float: none;

        .value-input {
            width: 100%;
            margin: 0;
        }
    }


    & md-chip{
      min-width: 148px;
      margin: 2px 8px 6px 0 !important;
      border: solid 1px $medium-gray;
      background-color: $fog-gray;
      color: $gray-light;
      font-weight: bold;

      &:hover{
        background-color: $gray-light;
        color: #fff !important;

        & span{
          color: #fff !important;
        }
      }

      & md-chip-template{
        padding-right: 4px;
      }

      & .chip-operator{
        //color: $gray-light;
        color: #009688 !important;
        font-weight: bold;
      }
    }
}

div[aria-selected='true'] span.ng-binding {
    color: $white;
}

.radio-inline + .radio-inline, .checkbox-inline + .checkbox-inline {
    @media (max-width: $screen-phone) {
        margin: 0 !important;
    }
}

.btn-check {
    position: absolute;
    right: 13px;

    & button {
        -webkit-appearance: none;
        -moz-appearance: none;
        border: none;
        background: $fog-gray;
        border-radius: 2px;
        height: 28px;
        padding: 6px 8px !important;
        transition: all .2s;
        font-size: 13px;
        margin: 4px 2px;



        &:hover {
          background-color: $gray-light !important;
          color: #fff !important;
          cursor: pointer;
        }
        &.active{
          background-color: $brand-primary !important;
          color: #fff !important;
          box-shadow: none;
        }
      }
}

.date-picker-container {
    background-color: #fff;
    height: 36px;
    border-radius: 4px;
    border: 1px solid rgba($dark-new, .15);
    transition: all .25s ease-in-out;
    font-size: 14px;

    &:hover {
        border-color: rgba($dark-new, .25);
        & span {
            color: rgba($dark-new, .8);
        }
    }
    position: relative;
    width: 152px;

    & span {
        line-height: 2.6;
        height: 100%;
        padding-left: 12px;
        color: rgba($dark-new, .6);
        transition: color .25s ease-in-out;
        overflow: hidden;
        max-width: 100%;
        white-space: nowrap;
        text-overflow: ellipsis;
        display: inline-block;
    }
    & button {
        position: absolute;
        top: 0;
        right: 0;
        height: 36px;
        width: 100%;
    &:hover {
        background: none !important;
        -webkit-transform: none !important;
        transform: none !important;
        }
    }
}

#search-container {
    position: relative;
    margin: 0 !important;
    padding: 0 !important;
}

//#search .form-control:not(.inner-input), .block-control {
//    margin-right: 8px;
//}

#search-container .form-control {
    padding-right: 236px;
}

.quadro-btn {
    width: 36px !important;
    height: 36px !important;
    margin: 0;
    border-color: $custom-gray;
    border-radius: 2px;
    color: $coal;
    font-size: 14.5px;
    font-weight: 500;
    &:hover{
      cursor: pointer;
    }
}

.quadro-btn.default-gray, .quadro-btn.label-primary {
    color: $white;
}

.form-control{
  font-size: 14.5px !important;
}

.disable-layer{
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: block;
  z-index: 2;
  background: rgba($white, .5);
  &._transparent {
      background-color: transparent;
  }
}

.md-select-value .md-select-icon {
    margin: 0 11px 0 4px;
    color: currentColor;
}

.log-demo {
    width: 100%;
    height: 130px;
    position: fixed;
    bottom: 10px;
    left: 0;
    z-index: 1;
    background: $white;
    opacity: 0.9;
    overflow-y: scroll;
    .log {
        padding-left: 20px;
        position: relative;
    }
}

.modal-spinner {
    display: flex;
    align-items: center;
    position: absolute;
    top: 50%;
    left: 50%;
}

.md-head th.md-column{
  font-size: 14px;
  color: $coal;
  line-height: 1.2;
}
#search-filter-body md-select.md-default-theme .md-select-icon, #search-filter-body md-select .md-select-icon{
    color: $gray-light !important;
}

//#search {
//    & .md-select-value, & .md-select-value.md-select-placeholder, & .date-picker-container span{
//      color: $coal !important;
//      font-weight: 500;
//    }
//
//    & .form-control,
//    & .reviewed,
//    & md-select,
//    & .date-picker-container{
//      &:hover{
//        border-color: #000 !important;
//      }
//    }
//}

.highlight_test {
    transition: background-color 0.8s linear;
}

.back-icon {
    padding-left: 0;
    padding-right: 0;
    min-width: 24px;
    min-height: 24px;
    height: 24px;
    position: relative;
    top: 0;
    left: 6px;
    animation: arrow_moving 0.6s linear;
    animation-iteration-count: 1;
}

@keyframes arrow_moving {
    0% {
        left: 15px;
    }
    100% {
        left: 6px;
    }
}

// md-input-container:not([md-no-float]) .md-select-placeholder span:first-child {
//   -webkit-transition: none !important;
//   transition: none !important;
// }
// md-input-container.md-input-focused:not([md-no-float]) .md-select-placeholder span:first-child {
//   -webkit-transform: none !important;
//   transform: none !important;
// }

.toast-width {
    width: 260px;
    padding-bottom: 8px;
}


md-ink-bar {
    color: $brand-light !important;
    background: $brand-light !important;
}

.table-striped > tbody > tr:nth-of-type(odd) {
    background: $bg-gray;
}
.toast-linear-padding {
    padding-top: 6px !important;
}

.toast-text-padding {
    padding: 8px !important;
}

.control-buttons {
    width: 100%;
    margin: auto;
}


/***************************
****************************
* Test table loupe styles **
****************************
***************************/

table.table-loupe {
    tbody {
        tr {
            &.table-loupe-target {
                td {
                    font-weight: bold;
                }
            }
        }
    }
}

.selected-log-row {
    background-color: #ffffe5 !important;
}

td.settings-cell {
    width: 25px;
    .md-button.md-icon-button:not(._default-md-style) {
        min-height: 25px ;
        height: 25px ;
        width: 25px ;
        min-width: 25px ;
    }
}

@keyframes showLog {
    from {height: 20px}
    to {height: auto}
}
@keyframes hideLog {
    from {height: auto}
    to {height: 20px}
}

.gallery-modal {
    max-height: 100vh !important;
    max-width: 100vw !important;
    background-color: rgba($black, 0) !important;
    box-shadow: none;
    .gallery-container {
        position: relative;
        &_gallery-image {
            max-height: 100vh;
            max-width: 100vw;
            &_log {
                &_show {
                    animation: showLog 200ms linear forwards alternate;
                }
                animation: hideLog 200ms linear forwards alternate;
                position: absolute;
                bottom: 0;
                width: 100%;
                text-align: center;
               //min-height: 45px;
                margin: auto;
                background-color: rgba($black, 0.5);
                color: $white;
                height: auto;
                line-height: 20px;
            }
        }
    }
    &_thumbnail-container {
        height: 100px;
        background-color: rgba($black, 0.5);
        &_element {
            display: inline-block;
            margin: 5px 0 5px 15px;
            &_image {
                max-height: 90px;
            }
        }
    }
}

.gallery-container-controls {

    position: fixed;
    width: 100%;
    height: 100%;

    .md-icon-button {
        position: fixed;
        background-color: rgba($black, 0.5) !important;
        md-icon {
            color: $white;
        }
    }

    &_close-button {
        top: 5px;
        right: 5px;
    }

    &_fullscreen-button {
        top: 5px;
        right: 48px;
    }

    &_download-button {
        top: 5px;
        right: 93px;
    }

    &_right-button {
        top: 50%;
        right: 5px;
    }

    &_left-button {
        top: 50%;
        left: 5px;
    }

    &_gallery-tooltip {
        z-index: 1000000 !important;
        background-color: white !important;
        color: black !important;
    }
}

.md-panel-outer-wrapper {
    z-index: 1041 !important;
}


.validation_error *[ng-message] {
    color: red !important;
}

.groups-tab {
    padding: 0 20px 0 20px;
    &_group {
        padding: 20px;
    }
}

.expired-invitation, .expired-invitation:hover {
    background-color: #e0b7b7 !important;
}

.text-success {
    color: #8BC34A;
}

.text-error {
    color: #F44336;
}

.text-info {
    color: #00BCD4;
}

#forgot-password {
    position: absolute;
    right: 15px;
    bottom: 9px;
    a {
        color: #009688;
        font-size: 9px;
        text-decoration: underline;
    }
}

.forgot-message {
    text-align: center;
    font-size: 14px;
}

.lonely-testrun {
    > thead {
        > tr {
            > th:nth-child(2) {
                padding: 0 24px !important;
            }
        }
    }
}

.target_row {
    td {
        background-color: #ffff19 !important;
        transition: background-color 500ms linear;
    }
}

#test-run-background {
    display: none;
    position: fixed;
    left: $sidebar_width;
    @media(max-width: $screen-phone) {
        left: 0;
    }
    top: $header-height;
    background-color: $white;
    z-index: 2;
    box-shadow: 0 4px 8px 0 rgba(4, 0, 0, 0.2);
    animation: test-run-background-width 0.2s linear forwards;

    table {
        width: calc(100% - 25px);
        height: calc(100% - 10px) !important;
        margin: 5px 26px 5px 20px;
        animation: test-run-background-table-width 0.2s linear forwards;
        tr {
            &.result {
                border-left-width: 4px !important;
                height: 45px;
            }
            td:first-child {
                animation: test-run-background-testcase_name 0.2s linear forwards;
            }

            td {
                @media(max-width: $screen-sm) {
                    padding: 2px !important;
                }
                .label {
                    @media(max-width: $screen-sm) {
                        display: block;
                    }
                }
            }

        }
    }

    &.test-run-compressing {
        animation: test-run-background-width-closing 0.2s linear forwards;
        table {
            animation: test-run-background-table-closing 0.2s linear forwards;
            tr {
                td:first-child {
                    animation: test-run-background-testcase_name-closing 0.2s linear forwards;
                }
            }
        }
    }
}

@keyframes test-run-background-testcase_name {
    0% {
        padding-left: 68px;
    }
    100% {
        padding-left: 25px;
    }
}

@keyframes test-run-background-testcase_name-closing {
    0% {
        padding-left: 25px;
    }
    100% {
        padding-left: 68px;
    }
}

@keyframes test-run-background-width {
    0% {
        width: calc(100% - 100px);
        margin-right: $page-padding-right-left;
        margin-left: $page-padding-right-left;
    }
    100% {
        width: calc(100% - 60px);
        margin-right: 0;
        margin-left: 0;
    }
}

@media(max-width: $screen-phone) {
    @keyframes test-run-background-width {
        0% {
            width: calc(100% - 100px);
            margin-right: $page-padding-right-left;
            margin-left: $page-padding-right-left;
        }
        100% {
            width: 100%;
            margin-right: 0;
            margin-left: 0;
        }
    }
}

@keyframes test-run-background-width-closing {
    0% {
        width: calc(100% - 60px);
        margin-right: 0;
        margin-left: 0;
    }
    100% {
        width: calc(100% - 100px);
        margin-right: $page-padding-right-left;
        margin-left: $page-padding-right-left;
    }
}

@keyframes test-run-background-table-width {
    0% {
        margin-right: 0;
        margin-left: 0;
    }
    100% {
        margin-right: 26px;
        margin-left: 20px;
    }
}

@keyframes test-run-background-table-closing {
    0% {
        margin-right: 26px;
        margin-left: 20px;
    }
    100% {
        margin-right: 0;
        margin-left: 0;
    }
}

$light-passed: #a6dd65;
$light-failed: #ff6363;
$light-skipped: #ffd360;
$light-aborted: #a5a5a5;
$light-inprogress: #68c9fd;

// TESTS CONTROLS
.test-run-group-row {
    // height: 64px !important;
    .test-run-group-column {
        border-bottom: 0;
        .test-run-group {
            width: 100%;
            font-size: 0;
            > * {
                display: inline-block;
                vertical-align: middle;
                &.test-details__test-selection {
                    display: inline-flex;
                }
            }
            &_controls-buttons {
                width: 15.48%;
                @media(max-width: $screen-lg) {
                    min-width: 20%;
                }
                button {
                    text-transform: none;
                    &:first-child {
                        border-radius: 4px 0 0 4px;
                    }
                    &:last-child {
                        border-radius: 0 4px 4px 0;
                    }
                    &:not(:first-child) {
                        position: relative;
                    }
                    * {
                        font-size: 14px;
                    }
                }
            }
            &_tags {
                width: 55.73%;
                min-height: 20px;
                @media(max-width: $screen-lg) {
                    width: 40%;
                }
                md-chips-wrap {
                    padding: 0;
                    display: inline-block;
                    width: auto;
                    box-shadow: none;
                    * {
                        font-size: 13px;
                        font-weight: 500;
                    }

                    md-chip {
                        border-radius: 12px;
                        height: 24px;
                        line-height: 2;
                    }
                }
                button {
                    height: 12px;
                    width: 10px;
                    transform: rotate(90deg);
                    top: 4px;
                    color: #aaaaaa;
                }
            }
            &_sorts {
                width: 7.59%;
                @media(max-width: $screen-lg) {
                    min-width: 8%;
                }
                > * {
                    padding-left: 0;
                }
                md-icon {
                    height: 15px;
                    width: 15px;
                    min-height: 15px;
                    min-width: 15px;
                    opacity: 1 !important;
                    > * {
                        color: #777777;
                    }
                }
            }
            &_group-items {
                width: 10.68%;
                @media(max-width: $screen-lg) {
                    min-width: 16%;
                }
                &_item {
                    display: inline-block;
                    &:not(:last-child) {
                        margin-right: 2px;
                    }
                    width: 18px;
                    height: 18px;
                    border-radius: 50%;
                    position: relative;
                    box-sizing: border-box;
                    opacity: 0.6;

                    &.PASSED {
                        background-color: $light-passed;
                        border: 2px solid $light-passed;
                    }
                    &.FAILED {
                        background-color: $light-failed;
                        border: 2px solid $light-failed;
                    }
                    &.SKIPPED {
                        background-color: $light-skipped;
                        border: 2px solid $light-skipped;
                    }
                    &.ABORTED {
                        background-color: $light-aborted;
                        border: 2px solid $light-aborted;
                    }
                    &.IN_PROGRESS {
                        background-color: $light-inprogress;
                        border: 2px solid $light-inprogress;
                    }

                    &.item-checked {
                        opacity: 1;
                        &:after {
                            display: block;
                            content: '';
                            position: absolute;
                            height: 6px;
                            width: 4px;
                            transform: rotate(45deg);
                            border: 1px solid $dark;
                            border-top: none;
                            border-left: none;
                            top: 3px;
                            left: 5px;
                        }
                    }
                }
            }
        }
    }
}

.test-run-group_menu {
    md-checkbox {
        margin-right: 15px !important;
    }
}

.test-info {
    &_tags {
        display: inline-block;
        margin-left: 6px;
        font-size: 13px;
        background-color: gray;
        color: $white;
        border-radius: 2px;
        padding: 2px 4px;
    }
}

.integration-actions {
    > * {
        display: inline-block;
    }
}

.fixed-page-header {
    top: $header_height;
    position: fixed;
    height: $header-height;
    width: 100%;
    right: 0;
    background-color: $white;
    z-index: $zindex-fixed;

    @media(max-width: $screen-phone) {
        display: none;
        &-container {
            &_title, &_title small {
                color: $white !important;
            }
        }
    }

    @media screen and (max-width: 599px) {
        &__additional-text {
            display: none;
        }
    }

    &-container_button {
        margin-left: 26px;

        .md-button.md-icon-button {
            margin: 0;
        }
    }
    &-container_button + &-container_button {
        margin-left: 32px;
    }

    &-container {
        height: 100%;
        padding-left: 24px;
        padding-right: 20px;
        display: flex;
        align-items: center;

        @media(max-width: $screen-phone) {
            padding-left: 60px;
        }

        @media(max-width: 599px) {
            padding-right: 16px;
        }

        .back_button {
            min-width: auto;
            min-height: auto;
            padding: 0;
            border-radius: 50%;
            display: flex;
            width: 32px;
            height: 32px;
            &, &.md-focused {
                margin: 0 5px 0 0;
            }
            .material-icons {
                color: black;
            }
            &:hover {
                background-color: none;
            }

            @media screen and (max-width: $screen-phone) {
                display: none;
            }
        }

        .docs_button {
            display: inline-flex;
            margin-left: 20px;
            color: $gray57c;
        }

        &_title {
            font-size: 20px ;
            word-break: normal;
            color: black;
            flex-grow: 1;
            flex-shrink: 1;
            margin: 0;
            overflow: hidden;
            text-overflow: ellipsis;
            small {
                color: #7f7f7f;
            }
            &._flex {
                display: flex;
                align-items: center;
            }
            @media(max-width: $screen-phone) {
                text-align: center;
                max-width: calc(100% - 42px); //42px - 32px button wodth + 10px margin
                overflow: hidden;
                text-overflow: ellipsis;
                white-space: nowrap;
                &._flex {
                    justify-content: center;
                }
            }
        }

        &_button {
            flex-shrink: 0;
            flex-grow: 0;
            height: $title-line-height;
            display: flex;
            align-items: center;
            > i {
                color: $dark;
            }
        }

        &_options {
            flex: none;
            display: flex;
            align-items: center;
            height: $title-line-height;

            md-input-container {
                margin: 0;

                & + .md-button {
                    &,
                    &.md-focused {
                        margin-left: 26px;
                    }
                }
            }
            > div {
                text-align: end;
                font-size: 0;

                md-menu {
                    float: right;
                    width: 22px;
                }
            }
        }
    }

    + div {
        padding-top: calc((#{$header_height} * 2) + 20px);
        position: relative;
        z-index:  $zindex-fixed - 1;

        .p-tests-run-info &,
        .p-tests-run-details &,
        .p-tests-sessions,
        .p-tests-runs & {
            padding-top: $page-padding-top;
        }

        @media (max-width: $breakpoint-mobile - 1) {
            .p-tests-runs & {
                padding-top: calc((#{$header-height} * 2) + #{$mobile-filters-height} + 20px);
            }

            .p-tests-sessions &,
            .p-tests-runs._no-filters & {
                padding-top: #{$header-height};
            }
        }

        @media (max-width: $screen-phone) {
            .p-tests-runs & {
                padding-top: calc(#{$header-height} + #{$mobile-filters-height});
            }
            .p-tests-run-info &,
            .p-tests-run-details & {
                padding-top: $header-height;
            }

            .p-tests-sessions &,
            .p-tests-runs._no-filters & {
                padding-top: #{$header-height};
            }
        }
    }
}

.widgets-cropping {
    width: 1920px !important;
    max-width: 1920px !important;
    .panel {
        box-shadow: none;
    }
    .md-dialog-container {
        width: 100vw;
    }
}

.ci-runner {
    padding-top: 80px !important;
    padding-bottom: 20px !important;
}
.__ci-runner-lg-title {
    @media(min-width: $md-screen-phone + 1px) {
        height: 20px !important;
        line-height: 20px !important;
    }
    * {
        font-size: 20px !important;
        font-weight: normal !important;
    }
}
.ci-runner-container {
    &__providers {
        padding-bottom: 17px;
        margin-bottom: 20px;
        border-bottom: 1px solid rgba(1, 22, 39, 0.15);
        md-chips.filter-chip.custom-filter md-chips-wrap.md-chips {
            display: block;
        }
    }
    &__platforms {
        padding-bottom: 40px;
        border-bottom: 1px solid rgba($dark-new, .15);
        margin-bottom: 20px;
        &-header {
            ._with-controls & {
                margin-top: 20px;
                height: 36px;
                display: flex;
                align-items: center;
                min-width: 48%;
                justify-content: flex-start;

                & .header__radio-group {
                    width: 90%;
                    justify-content: flex-start;

                    &-item {
                        margin-right: 26px;
                    }
                }
            }
        }

        &-controls {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
        }
    }

    .md-dialog-content {
        .close-button {
            top: 40px;

            @media screen and (max-width: $md-screen-phone) {
                top: 40px;
                right: 20px;
                color: $gray57c;
            }
        }
    }

    .md-dialog-content > [ng-transclude] {
        min-height: 718px !important;

        @media(max-width: $md-screen-phone) {
            min-height: auto !important;
        }
    }

    $container-margin-bottom: 12px;

    &_inline-input {
        .zf-input-container {
            margin-right: $container-margin-bottom;
            width: calc(((100% - #{$container-margin-bottom} * 2 - 80px) / 2) - 1px);
            display: inline-block;
            position: relative;
            label {
                font-size: 11px;
                height: 11px;
                line-height: 11px;
                vertical-align: text-bottom;
                color: rgba($black, 0.6);
                opacity: 0.6;
                position: absolute;
                bottom: 42px;
                margin: 0;
                width: 100%;
            }
            input {
                height: 36px;
                width: 100%;
                font-weight: normal;
            }
        }
    }

    .zf-chip-button {
        padding: 0;
        font-size: 12px;
        text-align: left;
        i {
            margin-left: 8px;
            position: static !important;
            font-size: 24px !important;
        }
    }

    .close-button {
        position: absolute;
        right: 10px;
        top: 10px;
        height: 26px;
        width: 26px;
        font-size: 26px;
        min-width: 14px;
        min-height: 14px;
        z-index: 1;
    }

    &_content {
        overflow: hidden;
        position: relative;
        padding-left: calc(34% + 40px) !important;
        width: 100% !important;
        height: auto;

        @media(max-width: $md-screen-phone) {
            width: 100% !important;
            padding: 75px 16px 20px 16px !important;
        }

        &_block {
            &_title {
                display: inline-block;
                height: 14px;
                width: 100%;
                font-weight: normal;
                line-height: 12px;
                margin-bottom: 14px;
                overflow: hidden;
                text-overflow: ellipsis;
                white-space: nowrap;

                &._inline {
                    display: inline;
                }

                &.__scan-repo {
                    margin-bottom: 24px;
                }

                * {
                    font-weight: normal;
                }
            }

            &._server-selection {
                max-height: 660px;
                overflow: auto;
            }
        }

        &_title {
            font-size: 0;

            @media(max-width: $md-screen-phone) {
                position: absolute;
                z-index: 1;
                top: 0;
                left: 0;
                line-height: 18px;
                width: 100%;
                opacity: 1;
                font-size: 18px;
                letter-spacing: 0.4px;
                padding-left: 16px;
                font-weight: normal;
                justify-content: center;
                align-items: end;
                height: 112px;
                max-height: 112px;
                background-color: #F7F7F7;
                color: $gray57c;
            }

            &, > *, .zf-show-part > * {
                font-weight: normal !important;
                letter-spacing: 0.1px;
                color: black;
                font-size: 14px;

                @media(max-width: $md-screen-phone) {
                    color: $gray57c;
                    letter-spacing: 0.4px;
                    font-size: 18px !important;
                }
            }

            &_action {
                display: inline-block;
                position: relative;

                i {
                    position: absolute;
                    font-size: 18px;
                    color: #7f7f7f;
                    left: 13px;
                    top: -15px;
                }
            }

            &.no-data {
                position: absolute;
                top: 0;
                bottom: 0;
                left: 0;
                right: 0;
                width: 100%;
                margin: auto;
                padding-left: calc(34% + 24px);

                &, * {
                    text-align: center;
                    letter-spacing: 0.5px;
                    font-weight: normal;
                    font-size: 20px;
                    line-height: normal;
                    color: rgba($black, 0.4);;
                }
            }
            height: 14px;
            line-height: 12px;
            margin-bottom: 32px;
        }
        &_scm-connector {
            padding-top: 35px;
            &_items {
                &_add {
                    font-size: 0;
                    margin-bottom: 16px;
                    display: flex;
                    width: 100%;
                    align-items: center;
                    md-input-container {
                        max-width: 228px;
                        margin-right: 12px;
                    }
                    @media (max-width: $md-screen-phone) {
                        flex-wrap: wrap;
                        button {
                            margin: 18px 0;
                        }
                    }
                    > span {
                        font-size: 0;
                        display: flex;

                        @media (max-width: $screen-md) {
                            display: inline-block;

                            > * {
                                margin-bottom: 8px;
                            }
                        }
                    }
                    .zf-input-container {

                        display: inline-block;
                        margin-right: $container-margin-bottom;
                        width: calc(((100% - #{$container-margin-bottom} * 2 - 80px) / 2) - 1px);
                        md-input-container {
                            width: 100%;
                            md-select {
                                width: 100%;
                                height: 36px;

                                .md-select-value {
                                    * {
                                      font-weight: normal;
                                    }
                                }
                            }
                            label {
                                display: block !important;
                                color: rgba($black, 0.6);
                                opacity: 0.6;
                                font-size: 11px;
                                transform: scale(1);
                                font-weight: normal;
                                letter-spacing: 0.1px;
                                margin-bottom: 8px;
                            }
                        }
                    }
                    button {
                        &.zf-button {
                            margin-right: 8px;
                            float: left;
                            clear: both;
                        }
                    }
                }
                &_content {
                    width: calc(100% - 44px);
                    float: right;
                    font-size: 0;
                }
            }
        }
        &_code {
            padding-bottom: 20px;

            label {
                font-size: 11px !important;
                line-height: 11px !important;
                color: rgba($black, 0.6) !important;
                opacity: 0.6 !important;
                margin-bottom: 8px !important;
            }
            &_editor {
                min-height: 297px;
            }
            md-input-container {
                position: relative;
                md-input-container {
                    position: absolute;
                    top: 10px;
                    right: 10px;
                    z-index: 1;
                    max-width: 120px;
                    md-select {
                        width: 120px;
                        height: 28px;
                    }
                }
            }
        }
        &_actions {
            position: absolute;
            padding: 0 40px 0 0;
            min-height: 36px;
            width: calc(66% - 40px);
            left: calc(34% + 40px);
            bottom: 40px;

            @media(max-width: $md-screen-phone) {
                right: 0;
                width: 100%;
                left: 0;
                z-index: 1;
                bottom: 0;
                padding: 40px 16px;
                background-color: #F7F7F7;
            }

            &_error {
                color: #F44336;
                position: absolute;
                bottom: 46px;
                right: 45px;
                line-height: 12px;
                font-size: 12px;
                text-align: right;
                width: calc(66%);

                @media(max-width: $md-screen-phone) {
                    left: 0;
                    width: calc(100% - 224px);
                }
            }

            & .md-button {
                margin-left: 16px;
            }

            & ._less-width-button {
                min-width: 50px;
            }
        }

        &_builder {
            padding-bottom: 60px;
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;

            @media(max-width: $md-screen-phone) {
                display: block !important;

                input, md-input-container, md-select {
                    width: 100% !important;
                }
            }
            &_container {
                font-size: 0;
                position: relative;
                &:not(.builder-checkbox) {

                    @media (max-width: 768px) {
                        .zf-label {
                            opacity: 0;
                        }
                        md-input-container {
                            label {
                                display: block;
                            }
                        }
                    }
                }
                > .zf-label {
                    line-height: 36px;
                    .zf-show-part {
                        .ng-binding {
                            font-weight: normal;
                            color: rgba(1, 22, 39, 0.8);

                            [ng-transclude] {
                                cursor: text;
                            }

                        }
                    }

                }

                &_item {
                    display: inline-block;
                    vertical-align: bottom;
                    width: 100%;
                    @media(max-width: $md-screen-phone) {
                        width: 100%;
                    }

                    &.item-array {
                        width: 100%;
                    }
                }

                &.builder-checkbox {
                    .zf-label {
                        line-height: 20px !important;
                        vertical-align: top;
                    }
                    > div {
                        vertical-align: middle;
                    }
                }

                &_description {
                    width: 260px;
                    padding-left: 16px;
                    display: inline-block;
                    color: #7f7f7f;
                    font-weight: 500;
                    letter-spacing: normal;
                    font-size: 11px;
                    position: absolute;
                    top: calc(50% - 8px);
                    right: 0;
                    transform: translateY(-50%);

                    &.zf-checkbox {
                        &:before {
                            content: '/ ';
                            display: inline-block;
                        }
                    }
                }
            }
        }

        .divider {
            background-color: rgba(#000000, 0.15);
            width: 66%;
            position: absolute;
            left: 34%;
            margin: 0;
        }

    }
    &_helper {
        overflow: hidden;
        position: absolute !important;
        top: 0;
        left: 0;
        z-index: 1;
        height: 100%;
        padding-top: 40px !important;
        padding-left: 40px !important;

        @media(max-width: $md-screen-phone) {
            width: 100% !important;
            padding: 0 !important;
        }
        &_search {

            padding: 20px 40px 0 0;

            @media(max-width: $md-screen-phone) {
                padding: 30px 24px;
            }

            md-input-container {
                max-width: none;
                width: 100%;
                input, label {
                    font-weight: normal;

                    @media(max-width: $md-screen-phone) {
                        font-size: 16px;
                    }
                }
                .md-errors-spacer {
                    display: none;
                }
            }
        }
        &_title {
            font-size: 0;
            padding-right: 40px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            height: 32px;
            > span {
                font-size: 20px;
                letter-spacing: 0.2px;
                line-height: 0.8;
                font-weight: normal;
                flex-grow: 0;

                @media(max-width: $md-screen-phone) {
                    position: absolute;
                    top: 0;
                    left: 0;
                    height: 48px;
                    box-shadow: 0 1px 1px 0 rgba($black, 0.2);
                    padding: 16px;
                    width: 100%;
                }
            }

            & .title-button {
                padding: 6px 6px 6px 4px;

                &__icon {
                    margin: 0;
                }
            }

            @media(max-width: $screen-tablet) {
                flex-direction: column;
                height: 56px;
                align-items: flex-start;
            }

            @media(max-width: $md-screen-phone) {
                font-size: 18px;
                letter-spacing: 0.4px;
                padding-left: 16px;
                font-weight: normal;
                justify-content: center;
                align-items: end;
                height: 112px;
                max-height: 112px;
                background-color: #F7F7F7;
                color: $gray57c;
            }
        }
        &_section {
            border-radius: 4px;
            height: calc(100% - 75px);
            min-width: 200px;
            overflow-y: auto;
            flex-grow: 1;
            margin-top: 20px;
            padding-bottom: 10px;

            @media(max-width: $screen-tablet) {
                height: calc(100% - 94px);
            }

            @media(min-width: $md-screen-phone + 1px) {
                margin-left: -10px;
                padding-left: 10px;
            }

            @media(max-width: $md-screen-phone) {
                min-height: calc(100% - 206px);
                height: calc(100% - 206px);
                margin-top: 0;
            }

            .folder-container {

                $folder-container-phone-left-padding: 24px;

                list-style-type: none;
                margin: 0;
                padding: 0 40px 8px 16px;

                @media(max-width: $md-screen-phone) {
                    padding: 0 24px 8px $folder-container-phone-left-padding;
                }

                &.__empty-search {
                    display: none;
                }

                &_folder {
                    position: relative;

                    @media(max-width: $md-screen-phone) {
                        padding-bottom: 8px;
                    }
                    &_icon {
                        $icon-color: rgba(0,0,0,0.87);
                        position: absolute;
                        left: -26px;
                        height: 20px;
                        line-height: 20px;
                        font-size: 22px;
                        vertical-align: middle;
                        opacity: 0.5;
                        transform: rotate(-90deg);
                        color: $icon-color;

                        &::selection {
                            background-color: transparent;
                            color: $icon-color;
                        }

                        &_settings {
                            display: inline-block;
                            height: 20px;
                            width: 20px;
                            line-height: 20px;
                            font-size: 16px;
                            vertical-align: middle;
                            text-align: center;
                            opacity: 0.5;
                            color: rgba($black, 0.87);
                            transition: opacity .25s ease;
                            &:hover {
                                opacity: 1;
                            }
                        }
                    }
                    &_name {
                        font-size: 14px;
                        font-weight: 500;
                        height: 20px;
                        line-height: 20px;
                        color: #7f7f7f;
                        max-width: 100%;
                        overflow: hidden;
                        white-space: nowrap;
                        text-overflow: ellipsis;

                        @media(max-width: $md-screen-phone) {
                            font-size: 16px;
                            color: black;
                        }

                        &:hover, &.chosen-launcher {
                            color: black;
                        }
                    }
                    &._with-buttons {
                        padding-right: 45px;
                        .folder-container_folder-buttons {
                            position: absolute;
                            top: 50%;
                            right: 0;
                            transform: translateY(-50%);
                            font-size: 0;
                            display: none;
                            justify-content: center;
                            align-items: center;
                        }
                    }
                }

                &_item {
                    &_list {
                        $item-list-margin: 20px;

                        list-style-type: none;
                        margin: 0 0 0 $item-list-margin;
                        padding: 0;

                        &._sublist {
                            @media(max-width: $md-screen-phone) {
                                padding-top: 20px;
                            }
                        }
                        &_item, &_item-empty {
                            padding: 6px 0;
                            position: relative;

                            &._no-padding-bottom {
                                padding-bottom: 0;
                            }

                            &._subitem {
                                @media(max-width: $md-screen-phone) {
                                    width: calc(100vw - 20px);
                                    overflow: hidden;
                                    text-overflow: ellipsis;
                                }
                            }

                            @media(max-width: $md-screen-phone) {
                                font-size: 16px;
                                line-height: 20px;
                                padding: 20px 0;
                            }

                            &.chosen-launcher {
                                color: black;

                                @media(max-width: $md-screen-phone) {
                                    background-color: rgba($dark-new, 0.05);
                                }
                            }
                        }
                        &_item {
                            color: #7f7f7f;

                            &-wrapper {
                                overflow: hidden;
                                text-overflow: ellipsis;
                            }

                            @media(max-width: $md-screen-phone) {
                                width: 100vw;
                                left: calc(-#{$folder-container-phone-left-padding} - #{$item-list-margin});
                                padding-left: calc(#{$folder-container-phone-left-padding} + #{$item-list-margin});
                            }
                            &_icon {
                                position: absolute;
                                left: -23px;
                                height: 20px;
                                width: 20px;
                                min-width: 20px;
                                min-height: 20px;
                                color: $brand-light;

                                @media(max-width: $md-screen-phone) {
                                    left: $item-list-margin;
                                }

                                &-favorite {
                                    font-size: 15px;
                                    transform: translateY(2px);
                                }
                            }

                            & span {
                                &:hover {
                                    color: black;
                                }
                            }
                        }
                        &_item-empty {
                            font-weight: normal;
                            font-style: italic;

                            color: rgba(127, 127, 127, 0.75);
                            opacity: 0.75;
                        }
                    }
                }

                $expand-animation-duration: 50ms;
                &.expand-folder {
                    .folder-container_folder {
                        &_icon {
                            animation: expandFolderIcon $expand-animation-duration linear forwards;
                        }
                    }
                }

                &:not(.expand-folder) {
                    .folder-container_item {
                        display: none;
                    }
                }

                &.expand-folder_finish {
                    .folder-container_folder {
                        &_icon {
                            animation: expandFolderIconFinish $expand-animation-duration linear forwards;
                        }
                    }
                }

                @keyframes expandFolderIcon {
                    from {
                        transform: rotate(-90deg);
                    }
                    to {
                        transform: rotate(0deg);
                    }
                }

                @keyframes expandFolderIconFinish {
                    from {
                        transform: rotate(0deg);
                    }
                    to {
                        transform: rotate(-90deg);
                    }
                }

                @media screen and (min-width: $md-screen-phone + 1px) {
                    &:hover {
                        .folder-container_folder-buttons {
                            display: flex;
                        }
                    }
                }
            }

            .folder-container-empty {
                padding: 0;
                margin: 0;
                color: rgba(127, 127, 127, 0.75);
                opacity: 0.75;
                letter-spacing: 0.1px;
                font-style: italic;
                font-weight: normal;

                @media(max-width: $md-screen-phone) {
                    font-size: 16px;
                    padding: 20px 0 20px 44px;;
                    height: 60px;
                }
            }

            &_item {
                height: 32px;
                line-height: 32px;
                color: #7f7f7f;
                overflow: auto;
                overflow-y: hidden;
                position: relative;
                padding-right: 10px;

                @media(max-width: $md-screen-phone) {
                    height: 52px;
                    line-height: 52px;
                    * {
                        font-size: 16px;
                    }
                }

                &_container {
                    position: relative;
                    margin-right: 38px;

                    @media(max-width: $md-screen-phone) {
                        padding-left: 24px;
                    }

                    @media(min-width: $md-screen-phone) {
                        &:before {
                            content:'';
                            width:100%;
                            height:100%;
                            position:absolute;
                            left:0;
                            top:0;
                            background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 90%, rgba(255,255,255,1) 100%);
                        }
                    }
                }

                i.material-icons {
                    font-size: 16px;
                    position: absolute;
                    right: 18px;
                    top: 8px;
                    color: #35393f;
                }
                &:not(:hover) {
                    i.material-icons {
                        display: none !important;
                    }
                }
                &:hover {
                    i.material-icons {
                        display: inline-block;
                    }
                }

                &:hover, &_selected {
                    cursor: pointer;

                    @media(max-width: $md-screen-phone) {
                        background-color: #f4f4f4;
                    }
                }

                &:first-child {
                    margin-top: 6px;
                }
            }
        }
    }

    .md-select-icon:after {
        color: $coal;
        opacity: .5;
        font-size: 12px !important;
    }

    .md-select-value {
        background-image: none !important;
    }

    &_loader {
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        z-index: 1020;
        background-color: rgba(#ffffff, 0.8);

        &_container {
            height: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;

            * {
                text-align: center;
            }
            &_title {
                line-height: 1.33;
                margin-bottom: 36px;
                height: 46px;
                display: flex;
                flex-direction: column;
                justify-content: flex-end;
                align-content: center;
                > * {
                    display: block;
                    font-size: 18px;
                    letter-spacing: 0.5px;
                    font-weight: normal;
                    color: #011424;
                }
            }
            &_bar {
                width: 300px;
                margin-bottom: 16px;
                &_progress {
                    margin-bottom: 18px;

                    * {
                        height: 8px !important;
                    }

                    .md-container {
                        border-radius: 4px;
                        background-color: $fog-gray;
                    }
                }
                &_status {
                    color: rgba($black, 0.5);
                    letter-spacing: 0.3px;
                    font-weight: 500;
                    font-size: 12px;
                    opacity: 0.5;
                }
            }
            &_action {
                button {
                    padding: 0 14px;
                }
            }
        }
    }
}

.fixed-page-header._widget-placement {
    .fixed-page-header-container_button {
        margin-left: 5px;
        button {
            margin-left: 12px;
        }
    }
    .md-icon-button {
        background-color: rgba($dark-new, .1);
        i {
            color: $dark-new;
        }
    }
}

users-component md-tab-item.md-disabled {
    display: none;
}

.dashboard-attributes-container {

    $default-margin: 8px;

    align-items: center;
    font-size: 0;
    margin-bottom: 8px;

    md-input-container {
        margin-right: $default-margin;
    }

    &_key, &_value, &_add-button {
        height: 38px;
        display: inline-block;
        font-size: 14px;
        input {
            width: 100%;
        }
        label {
            margin: 0;
        }
    }

    $button-width: 80px;
    $input-width: calc((100% - #{$default-margin} * 2 - #{$button-width}) / 2);

    &_key, &_value {
        width: $input-width;

        [ng-messages] {
            position: absolute;
            font-size: 12px;
            color: red;
            padding: 2px 0 0 2px
        }
    }

    &_add-button {
        min-width: 80px;
    }
}

.dashboard-attributes-items-container {
    margin-bottom: 10px;
    &_chips {
        .md-chips {
            box-shadow: none;
            padding-left: 0;

            md-chip {
                border: solid 1px rgba(1, 22, 39, 0.2);
                background-color: transparent;
                margin-top: 6px;

                .md-chip-content {
                    padding: 0 !important;
                    height: 30px;
                    line-height: 30px;
                }
            }
        }

        &_template {
            display: inline-block;
            margin-right: 8px;
            color: $coal;
            font-weight: 500;
            font-size: 14px;
        }

        .md-chip-remove-container {
            top: 0;

            md-icon {
                color: black;
            }
        }
    }
}

.dashboard-dialog {
    .dashboard-dialog-container {
        padding: 20px !important;

        &_hidden {
            margin-left: 22px;
            align-items: center;
            display: flex;

            &_label {
                vertical-align: baseline;
                line-height: 30px;
            }
        }

        md-switch {
            margin: 0;
            margin-left: 16px;
        }
    }

    .dashboard-dialog-attributes--container {
        background-color: $main_container_bg-new;
        padding: 20px;
    }

    md-dialog-actions {

        button {
            box-shadow: none !important;

            &:first-child {
                margin-left: 0;
            }

            &.__delete_button {
                background-color: transparent !important;
                border-radius: 4px;
                letter-spacing: 0.1px;
                border: none !important;
                color: #bf3744;
                line-height: 1.42857;
                font-weight: 500;

                &[disabled] {
                    background-color: rgba(1, 22, 39, .1)!important;
                }
            }
        }
    }

    // &:not(.__new-dialog) {
    //     md-dialog-actions {
    //         background-color: #edeff1;
    //     }
    // }

    &.__editable-dashboard {
        md-dialog-actions {
            justify-content: space-between;
        }
    }
}

.dashboard-email-dialog {


    &_subject-container {
        input {
            // 80px - padding between two inputs (for now we have only one) - pseudo padding
            width: calc((100% - 80px) / 2);
        }
    }

    .md-dialog-content {
        padding: 20px 20px 10px;

        .ace_editor {
            margin-bottom: 25px;
            height: 96px;
            border-radius: 4px;
            border: 1px solid rgba(1, 22, 39, 0.1);
            .ace_print-margin {
                width: 0;
            }
        }
    }

    md-dialog-actions {

        button {
            margin: 0;
            box-shadow: none !important;
        }
    }
}

.zf-show-part {
    .ng-binding {
        position: relative;

        [ng-transclude] {
            position: absolute;
            height: 100%;
            width: 100%;
            left: 0;
            bottom: 0;
        }
    }
}
